testdim.multiblock {ade4} | R Documentation

## Selection of the number of dimension by two-fold cross-validation for multiblock methods

### Description

Function to perform a two-fold cross-validation to select the optimal number of dimensions of multiblock methods, i.e., multiblock principal component analysis with instrumental Variables or multiblock partial least squares

### Usage

    ## S3 method for class 'multiblock'
    testdim(object, nrepet = 100, quantiles = c(0.25, 0.75), ...)

### Arguments

`object` | an object of class multiblock created by `mbpls` or `mbpcaiv`
`nrepet` | integer indicating the number of repetitions
`quantiles` | a vector indicating the lower and upper quantiles to compute
`...` | other arguments to be passed to methods

### Value

An object of class `krandxval`

### Author(s)

Stéphanie Bougeard (stephanie.bougeard@anses.fr) and Stéphane Dray (stephane.dray@univ-lyon1.fr)

### References

Stone M. (1974) Cross-validatory choice and assessment of statistical predictions. Journal of the Royal Statistical Society, 36, 111-147.

Bougeard, S. and Dray S. (2018) Supervised Multiblock Analysis in R with the ade4 Package. Journal of Statistical Software, 86 (1), 1-17. http://doi.org/10.18637/jss.v086.i01

### See Also

`mbpcaiv`, `mbpls`, `randboot.multiblock`, `as.krandxval`

### Examples

    data(chickenk)
    Mortality <- chickenk[[1]]
    dudiY.chick <- dudi.pca(Mortality, center = TRUE, scale = TRUE, scannf =
    FALSE)
    ktabX.chick <- ktab.list.df(chickenk[2:5])
    resmbpcaiv.chick <- mbpcaiv(dudiY.chick, ktabX.chick, scale = TRUE,
    option = "uniform", scannf = FALSE)
    ## nrepet should be higher for a real analysis
    test <- testdim(resmbpcaiv.chick, nrepet = 10)
    test
    if(adegraphicsLoaded())
    plot(test)

[Package ade4 version 1.7-13 Index]